/* GUI Header */

#ifndef HEADER_GUI_H
#define HEADER_GUI_H

// default video resolution
#define VIDWIDTH 640
#define VIDHEIGHT 275

#define VDUPOSX   0
#define VDUPOSY   0

int gui_init (void);
int gui_deinit (void);
int gui_reset (void);

void gui_blitsurface (SDL_Surface *src);
int gui_videochange (int w, int h);

int gui_toggledisplay (void);

inline void putpixel (SDL_Surface *surf, int x, int y, Uint32 col);
void gui_redraw (void);

#endif /* HEADER_GUI_H */
